Welcome to our new developer portal! Use the "Ask" button to chat with our AI Agent.
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Register

Register APIs.

Register consumer

put
/issuers/{issuerId}/consumers/{consumerId}

This request is used by the issuer backend to request the registration of the end user (consumer). As an input only the consumerId and the state are needed.

認可
Authorizationstring必須

A JWT generated by the Get Authorization Token API.
The server checks the validity of the provided token to control access to this protected resource. Please refer to Get OAuth 2.0 access token for more details on the flow and on how to get this JWT.

パスパラメータ
issuerIdstring · 最小: 10 · 最大: 10必須

The id of the issuer

consumerIdstring · 最小: 1 · 最大: 64必須

Unique identifier of the end user.

Pattern: [A-Za-z0-9_-]{1,64}
ヘッダーパラメータ
x-correlation-idstring · 最小: 1 · 最大: 64オプション

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

Warning: This identifier should not be derived from sensitive personal data, as its value will be logged in clear.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for purposes other than logging and troubleshooting.

Pattern: [a-zA-Z0-9_\-\. ]{1,64}
本文

The following object represent the consumer

statestring · enumオプション非推奨

The state of the end user (consumer)
Note: Consumer state is deprecated, Thales will no more check the consumer's state. You can still pass it but it will be ignored.

可能な値:
レスポンス
204

Successful end user registration

コンテンツなし

put/issuers/{issuerId}/consumers/{consumerId}
PUT /banking/v1/issuers/{issuerId}/consumers/{consumerId} HTTP/1.1
Host: api.d1.thalescloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 2

{}

コンテンツなし

Register consumer with cards

put
/issuers/{issuerId}/consumers/{consumerId}/cards

This request is used by the issuer backend to register an end user (consumer) with his associated set of cards. The cards must be already created on the Issuer CMS side. This allows D1 to make this end user (consumer) and his or her cards eligible to other D1 services like tokenisation, secure card display, push porvisioning... If not provided in this API (in the encryptedData parameter), D1 manages to retrieve useful card information from the issuer backend based on the cardId provided by calling get card credentials API.

認可
Authorizationstring必須

A JWT generated by the Get Authorization Token API.
The server checks the validity of the provided token to control access to this protected resource. Please refer to Get OAuth 2.0 access token for more details on the flow and on how to get this JWT.

パスパラメータ
issuerIdstring · 最小: 10 · 最大: 10必須

The id of the issuer

consumerIdstring · 最小: 1 · 最大: 64必須

Unique identifier of the end user.

Pattern: [A-Za-z0-9_-]{1,64}
ヘッダーパラメータ
x-correlation-idstring · 最小: 1 · 最大: 64オプション

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

Warning: This identifier should not be derived from sensitive personal data, as its value will be logged in clear.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for purposes other than logging and troubleshooting.

Pattern: [a-zA-Z0-9_\-\. ]{1,64}
本文
レスポンス
204

Successful end user (consumer) & cards registration

コンテンツなし

put/issuers/{issuerId}/consumers/{consumerId}/cards
PUT /banking/v1/issuers/{issuerId}/consumers/{consumerId}/cards HTTP/1.1
Host: api.d1.thalescloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 479

{
  "cards": [
    {
      "cardId": "text",
      "cardProductId": "text",
      "state": "INACTIVE",
      "encryptedData": "encryptedData with card pan and card exp"
    }
  ],
  "consumerInfo": {
    "firstName": "Alexandre",
    "middleName": "Andrew",
    "lastName": "Doe",
    "language": "en-US",
    "mobilePhoneNumber": {
      "countryCode": "+33",
      "phoneNumber": "624302941"
    },
    "email": "john.smith@myhostmaill.com",
    "residencyAddress": {
      "line1": "1230 Rue de Rivoli",
      "line2": "text",
      "line3": "text",
      "city": "Paris",
      "state": "75",
      "zipCode": "75000",
      "countryCode": "FR"
    }
  }
}

コンテンツなし

最終更新

役に立ちましたか?